Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80987 - [acpi] Poweroff doesn't work on Intel SE7500WV2 MB
Summary: [acpi] Poweroff doesn't work on Intel SE7500WV2 MB
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-03 00:08 UTC by hjl
Modified: 2013-07-03 02:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:21 UTC


Attachments (Terms of Use)
The ACPI patch 20021212. (deleted)
2003-01-07 22:16 UTC, hjl
no flags Details | Diff
A patch to fix SMP (deleted)
2003-01-07 22:17 UTC, hjl
no flags Details | Diff
An updated patch for SMP (deleted)
2003-01-15 00:58 UTC, hjl
no flags Details | Diff

Description hjl 2003-01-03 00:08:20 UTC
Poweroff doesn't turn off the power on Intel
SE7500WV2 MB. Poweroff works fine under RedHat
7.3 running the 2.4.18-19.7.x kernel with ACPI
patch on the same hardare.

Comment 1 hjl 2003-01-07 22:16:05 UTC
Created attachment 89194 [details]
The ACPI patch 20021212.

Here is an ACPI patch 20021212 ported to beta3 kernel.

Comment 2 hjl 2003-01-07 22:17:33 UTC
Created attachment 89195 [details]
A patch to fix SMP

This patch fixes ACPI for SMP.

Comment 3 hjl 2003-01-07 22:18:54 UTC
I uploaded 2 ACPI patches to replace

Patch680: linux-2.4.20-intel-acpi-safe-update.patch
Patch681: linux-2.4.20-acpi-relaxed-aml.patch
Patch682: linux-2.4.20-acpi-fixes.patch

Now at least I can power off my machine.

Comment 4 hjl 2003-01-15 00:58:54 UTC
Created attachment 89366 [details]
An updated patch for SMP

The new patch fixes the problem of the UP kernel
on SMP MB when ACPI and local IO APIC are enabled.

Comment 5 Jeff Garzik 2003-01-17 20:49:21 UTC

*** This bug has been marked as a duplicate of 82120 ***

Comment 6 Jeff Garzik 2003-01-17 21:02:04 UTC

*** This bug has been marked as a duplicate of 82123 ***

Comment 7 hjl 2003-01-22 00:03:00 UTC
Poweroff still doesn't work with beta4. SE7500WV2 needs a
working ACPI for poweroff. Turning off ACPI is not a solution
for this bug.

Comment 8 Andy Grover 2003-02-28 05:01:46 UTC
hjl: I am confused how the patches attached to this bug would fix poweroff,
since they are related to IRQ configuration at init.

I'd love to fix ACPI poweroff once and for all, so if you have the answer, I'm
all ears.


Comment 9 hjl 2003-02-28 16:36:03 UTC
My patch fixes ACPI on SMP so that ACPI can be turned on.
It is against an old ACPI patch. I don't know if it is
still needed. I no longer have access to SE7500WV2 to
verify it. 

Comment 10 Andy Grover 2003-07-31 00:38:44 UTC
Well..

I have a SE7501WV2. I tried 2.6.0-test2 and 2.4.22-pre8. Both shutdown 
properly.

Is that close enough to close this bug as WORKSFORME?


Comment 11 hjl 2003-07-31 05:14:48 UTC
The problem is RedHat kernel doesn't support ACPI. It can be
closed when a released RedHat kernel has ACPI support.

Comment 12 Aleksey Nogin 2003-07-31 05:28:08 UTC
Actually it does - the Severn beta release includes ACPI.

Comment 13 hjl 2003-07-31 05:31:53 UTC
Didn't one of Shrike alphas/beta kernels include ACPI? I don't believe
ACPI is in the final kernel in Shrike.

Comment 14 Jeff Garzik 2003-07-31 14:27:54 UTC
Shrike is a long time ago, yes :)

But we have turned on ACPI again, and have got Intel folks actively looking at
ACPI problems.


Comment 15 Dave Jones 2003-09-15 14:35:20 UTC
Just to bring this bug up to date a little, Severn kernel is now based on
2.4.22-ac1, which has the big acpi updates that were backported. A number of
issues remain, including this one, which means that it will be disabled unless
you boot with acpi=on.

Every test box I've tried so far refuses to power off with acpi, so this bug is
still very much alive.


Comment 16 Len Brown 2004-03-25 01:19:05 UTC
> Every test box I've tried so far refuses to power off with acpi,
> so this bug is still very much alive.

Dave, 6 months later now, is this still true?


Comment 17 Bugzilla owner 2004-09-30 15:40:21 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.